<!DOCTYPE html>
<html lang="en">
<!-- Daniel Janis-->
<!-- 3/24/2019 -->
<!-- This registration page will check the users input and validate
 before allowing a submission -->
<head>
    <?php define("title", "Form Handling"); ?>
    <title>Turtle Facts</title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!--Relative URL to link style.css-->
    <link href="../css/style.css" rel="stylesheet" type="text/css"/>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>


    <!-- <script type = "text/javascript" src="../js/elementIdAccess.js"></script> -->
</head>
<body>
<!-- Header -->
<div class="header">
    <img src="../img/turtle.png" alt="Turtle Facts!"/>
    <h1>Turtle Facts</h1>
</div>

<!-- Sidebar -->
<div class="sidebar">
    <a href="../html/home.html">Home</a>
    <a href="registration.php">Registration</a>
    <a href="../html/animations.html">Animations</a>
</div>

<!-- Page content -->
<br/>
<?php
include 'inputValidation.php';
?>
<div class="content">
    <div class="container-fluid text-center">
        <!--<form method="POST" id="myForm" onsubmit="return checkCheckers();">-->
        <form method="POST" id="myForm" novalidate
              action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
            <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12 text-left">
                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-6">  <!-- Column 1 -->


                        <div class="form-group">
                            <label for="username">Username:</label><br/>
                            <input id="username" type="text" name="username" required="required"
                                   placeholder="DanielJanis1" class="form-control"
                                   maxlength="50" minlength="6"
                                   onfocus="checkUser();"
                                   onchange="checkUser();"
                                   value="<?php echo $username; ?>"/>
                                                <p id="userMsg"></p>
                            <span style="color:red;" class="error"><?php echo $usernameErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="password">Password:</label><br/>
                            <input id="password" type="password" name="password"
                                   required="required" placeholder="********" class="form-control"
                                   maxlength="50" minlength="8"
                                   onfocus="checkPass();"
                                   onchange="checkPass();"
                                   value="<?php echo $password; ?>"/>
                                                <p id="passMsg"></p>
                            <span style="color:red;" class="error"><?php echo $passwordErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="repeatPassword">Repeat Password:</label><br/>
                            <input id="repeatPassword" type="password"
                                   name="repeatPassword" required="required"
                                   class="form-control" placeholder="********"
                                   maxlength="50" minlength="8"
                                   onfocus="checkRepeatPass();"
                                   onchange="checkRepeatPass();"
                                   value="<?php echo $repeatPassword; ?>"/>
                                                <p id="pass2Msg"></p>
                            <span style="color:red;" class="error"><?php echo $repeatPasswordErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="firstName">First Name:</label><br/>
                            <input id="firstName" type="text" name="firstName"
                                   class="form-control" required="required" placeholder="Bob"
                                   maxlength="50"
                                   onfocus="checkFirstName();"
                                   onchange="checkFirstName();"
                                   value="<?php echo $firstName; ?>"/>
                                                <p id="firstNameMsg"></p>
                            <span style="color:red;" class="error"><?php echo $firstNameErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="lastName">Last Name:</label><br/>
                            <input id="lastName" type="text" name="lastName"
                                   class="form-control" required="required" placeholder="Ross"
                                   maxlength="50"
                                   onfocus="checkLastName();"
                                   onchange="checkLastName();"
                                   value="<?php echo $lastName; ?>"/>
                                                <p id="lastNameMsg"></p>
                            <span style="color:red;" class="error"><?php echo $lastNameErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="address1">Address line 1:</label><br/>
                            <input id="address1" type="text" name="address1"
                                   class="form-control" maxlength="100" minlength="1"
                                   required="required"
                                   placeholder="101 Street"
                                   onfocus="checkAddress1();"
                                   onchange="checkAddress1();"
                                   value="<?php echo $address1; ?>"/>
                                                <p id="addr1Msg"></p>
                            <span style="color:red;" class="error"><?php echo $address1Err; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="address2">Address line 2:</label><br/>
                            <input id="address2" type="text" name="address2"
                                   class="form-control" maxlength="100"
                                   placeholder="(optional) 102 Street"
                                   onfocus="checkAddress2();"
                                   onchange="checkAddress2();"
                                   value="<?php echo $address2; ?>"/>
                        </div>

                        <div class="form-group">
                            <label for="city">City:</label><br/>
                            <input id="city" type="text" name="city"
                                   class="form-control"
                                   required="required" placeholder="St. Louis"
                                   onfocus="checkCity();"
                                   onchange="checkCity();"
                                   value="<?php echo $city; ?>"/>
                                                <p id="cityMsg"></p>
                            <span style="color:red;" class="error"><?php echo $cityErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="state">State: </label><br/>
                            <select required="required"
                                    class="form-control"
                                    name="state" id="state"
                                    onfocus="checkState();"
                                    onchange="checkState();">
                                <option selected disabled>--State--</option>
                                <option <?php if ($state == "AL") { echo "selected"; } ?>
                                        value="AL">Alabama</option>
                                <option <?php if ($state == "AK") { echo "selected"; } ?>
                                        value="AK">Alaska</option>
                                <option <?php if ($state == "AZ") { echo "selected"; } ?>
                                        value="AZ">Arizona</option>
                                <option <?php if ($state == "AR") { echo "selected"; } ?>
                                        value="AR">Arkansas</option>
                                <option <?php if ($state == "CA") { echo "selected"; } ?>
                                        value="CA">California</option>
                                <option <?php if ($state == "CO") { echo "selected"; } ?>
                                        value="CO">Colorado</option>
                                <option <?php if ($state == "CT") { echo "selected"; } ?>
                                        value="CT">Connecticut</option>
                                <option <?php if ($state == "DE") { echo "selected"; } ?>
                                        value="DE">Delaware</option>
                                <option <?php if ($state == "DC") { echo "selected"; } ?>
                                        value="DC">District Of Columbia</option>
                                <option <?php if ($state == "FL") { echo "selected"; } ?>
                                        value="FL">Florida</option>
                                <option <?php if ($state == "GA") { echo "selected"; } ?>
                                        value="GA">Georgia</option>
                                <option <?php if ($state == "HI") { echo "selected"; } ?>
                                        value="HI">Hawaii</option>
                                <option <?php if ($state == "ID") { echo "selected"; } ?>
                                        value="ID">Idaho</option>
                                <option <?php if ($state == "IL") { echo "selected"; } ?>
                                        value="IL">Illinois</option>
                                <option <?php if ($state == "IN") { echo "selected"; } ?>
                                        value="IN">Indiana</option>
                                <option <?php if ($state == "IA") { echo "selected"; } ?>
                                        value="IA">Iowa</option>
                                <option <?php if ($state == "KS") { echo "selected"; } ?>
                                        value="KS">Kansas</option>
                                <option <?php if ($state == "KY") { echo "selected"; } ?>
                                        value="KY">Kentucky</option>
                                <option <?php if ($state == "LA") { echo "selected"; } ?>
                                        value="LA">Louisiana</option>
                                <option <?php if ($state == "ME") { echo "selected"; } ?>
                                        value="ME">Maine</option>
                                <option <?php if ($state == "MD") { echo "selected"; } ?>
                                        value="MD">Maryland</option>
                                <option <?php if ($state == "MA") { echo "selected"; } ?>
                                        value="MA">Massachusetts</option>
                                <option <?php if ($state == "MI") { echo "selected"; } ?>
                                        value="MI">Michigan</option>
                                <option <?php if ($state == "MN") { echo "selected"; } ?>
                                        value="MN">Minnesota</option>
                                <option <?php if ($state == "MS") { echo "selected"; } ?>
                                        value="MS">Mississippi</option>
                                <option <?php if ($state == "MO") { echo "selected"; } ?>
                                        value="MO">Missouri</option>
                                <option <?php if ($state == "MT") { echo "selected"; } ?>
                                        value="MT">Montana</option>
                                <option <?php if ($state == "NE") { echo "selected"; } ?>
                                        value="NE">Nebraska</option>
                                <option <?php if ($state == "NV") { echo "selected"; } ?>
                                        value="NV">Nevada</option>
                                <option <?php if ($state == "NH") { echo "selected"; } ?>
                                        value="NH">New Hampshire</option>
                                <option <?php if ($state == "NJ") { echo "selected"; } ?>
                                        value="NJ">New Jersey</option>
                                <option <?php if ($state == "NM") { echo "selected"; } ?>
                                        value="NM">New Mexico</option>
                                <option <?php if ($state == "NY") { echo "selected"; } ?>
                                        value="NY">New York</option>
                                <option <?php if ($state == "NC") { echo "selected"; } ?>
                                        value="NC">North Carolina</option>
                                <option <?php if ($state == "ND") { echo "selected"; } ?>
                                        value="ND">North Dakota</option>
                                <option <?php if ($state == "OH") { echo "selected"; } ?>
                                        value="OH">Ohio</option>
                                <option <?php if ($state == "OK") { echo "selected"; } ?>
                                        value="OK">Oklahoma</option>
                                <option <?php if ($state == "OR") { echo "selected"; } ?>
                                        value="OR">Oregon</option>
                                <option <?php if ($state == "PA") { echo "selected"; } ?>
                                        value="PA">Pennsylvania</option>
                                <option <?php if ($state == "RI") { echo "selected"; } ?>
                                        value="RI">Rhode Island</option>
                                <option <?php if ($state == "SC") { echo "selected"; } ?>
                                        value="SC">South Carolina</option>
                                <option <?php if ($state == "SD") { echo "selected"; } ?>
                                        value="SD">South Dakota</option>
                                <option <?php if ($state == "TN") { echo "selected"; } ?>
                                        value="TN">Tennessee</option>
                                <option <?php if ($state == "TX") { echo "selected"; } ?>
                                        value="TX">Texas</option>
                                <option <?php if ($state == "UT") { echo "selected"; } ?>
                                        value="UT">Utah</option>
                                <option <?php if ($state == "VT") { echo "selected"; } ?>
                                        value="VT">Vermont</option>
                                <option <?php if ($state == "VA") { echo "selected"; } ?>
                                        value="VA">Virginia</option>
                                <option <?php if ($state == "WA") { echo "selected"; } ?>
                                        value="WA">Washington</option>
                                <option <?php if ($state == "WV") { echo "selected"; } ?>
                                        value="WV">West Virginia</option>
                                <option <?php if ($state == "WI") { echo "selected"; } ?>
                                        value="WI">Wisconsin</option>
                                <option <?php if ($state == "WY") { echo "selected"; } ?>
                                        value="WY">Wyoming</option>
                            </select>
                                                <p id="stateMsg"></p>
                            <span style="color:red;" class="error"><?php echo $stateErr; ?></span>
                        </div>

                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">  <!-- Column 2 -->

                        <div class="form-group">
                            <label for="zipCode">Zip Code:</label><br/>
                            <input id="zipCode" type="text" name="zipCode"
                                   class="form-control"
                                   placeholder="XXXXX-XXXX"
                                   required="required"
                                   onfocus="checkZipCode(this);"
                                   onchange="checkZipCode(this);"
                                   value="<?php echo $zipCode; ?>"/>
                                                <p id="zipMsg"></p>
                            <span style="color:red;" class="error"><?php echo $zipCodeErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="phoneNumber">Phone Number:</label><br/>
                            <input id="phoneNumber" type="text"
                                   placeholder="(555) 555-5555" name="phoneNumber"
                                   class="form-control"
                                   required="required"
                                   value="<?php echo $phoneNumber; ?>"/>
                                                <p id="phoneMsg"></p>
                            <span style="color:red;" class="error"><?php echo $phoneNumberErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="email">Email:</label><br/>
                            <input id="email" type="email" name="email"
                                   class="form-control"
                                   placeholder="xxxxxx@y.z"
                                   required="required"
                                   onfocus="checkEmail(this);"
                                   onchange="checkEmail(this);"
                                   value="<?php echo $email; ?>"/>
                                                <p id="emailMsg"></p>
                            <span style="color:red;" class="error"><?php echo $emailErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label id="genderLabel">Gender:</label><br/>
                            <input type="radio" name="gender" id="maleGender" value="male"
                                   onfocus="checkGender();"
                                   onchange="checkGender();"
                                <?php if ($gender == "male") { echo "checked"; } ?> />
                            <label for="maleGender" id="maleLabel">Male</label><br/>

                            <input type="radio" name="gender" id="femaleGender" value="female"
                                   onfocus="checkGender();"
                                   onchange="checkGender();"
                                <?php if ($gender == "female") { echo "checked"; } ?> />
                            <label for="femaleGender" id="femaleLabel">Female</label><br/>

                            <input type="radio" name="gender" id="otherGender" value="other"
                                   onfocus="checkGender();"
                                   onchange="checkGender();"
                                <?php if ($gender == "other") { echo "checked"; } ?> />
                            <label for="otherGender" id="otherLabel">Other</label><br/>
                            <span style="color:red;" class="error"><?php echo $genderErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label id="maritalLabel">Marital Status:</label><br/>
                            <input type="radio" name="maritalStatus" id="singleStatus" value="single"
                                   onfocus="checkMaritalStatus();"
                                   onchange="checkMaritalStatus();"
                                <?php if ($maritalStatus == "single") { echo "checked"; } ?>/>
                            <label for="singleStatus" id="singleLabel">Single</label><br/>

                            <input type="radio" name="maritalStatus" id="marriedStatus" value="married"
                                   onfocus="checkMaritalStatus();"
                                   onchange="checkMaritalStatus();"
                                <?php if ($maritalStatus == "married") { echo "checked"; } ?>/>
                            <label for="marriedStatus" id="marriedLabel">Married</label><br/>
                            <span style="color:red;" class="error"><?php echo $maritalStatusErr; ?></span>
                        </div>

                        <div class="form-group">
                            <label for="birthDay">Date of birth:</label><br/>
                            <input id="birthDay" type="date" name="birthDay"
                                   class="form-control"
                                   min="1889-12-31"
                                   max="2889-12-31" required="required"
                                   value="<?php echo $birthDay; ?>"/>
                                                <p id="bDayMsg"></p>
                            <span style="color:red;" class="error"><?php echo $birthDayErr; ?></span>
                        </div>
                        <input type="submit" value="Submit" name="submit" id="submitData"
                               onfocus="checkCheckers();"
                               onsubmit="checkCheckers();"/>
                        <input type="reset" value="Reset" id="resetData"/><br/>

                    </div>
                </div>
            </div>
        </form>
    </div>
</div>


<!-- Footer -->
<div class="footer">
    <a target="_blank" rel="noopener noreferrer"
       href="https://en.wikipedia.org/wiki/Turtle">Wiki Page</a>
    <a target="_blank" rel="noopener noreferrer"
       href="https://en.wikipedia.org/wiki/Alligator_snapping_turtle">Alligator Snappers</a>
    <a target="_blank" rel="noopener noreferrer"
       href="https://www.google.com/">Google</a>
</div>


<?php
//var_dump($isValid);
if ($isValid) {
    ?>
    <form id="hiddenForm" name="hiddenForm"
          method="POST" action="ConfirmationPage.php">
        <?php
        foreach ($_POST as $key => $value) {
            ?>
            <input name="<?php echo $key; ?>"
                   value="<?php echo $value; ?>"
                   type="hidden"/>
            <?php
        }
        ?>
    </form>
    <script>
        document.createElement('form').submit.call(document.getElementById('hiddenForm'));
    </script>
    <?php
}
?>

</body>
</html>
